void test_secteur() {
  int q = 1;
  pinMode(q1, OUTPUT);
  digitalWrite(q1, LOW);

  for (int a = 1; a <= 5; a++) {
    delay(100);
    int val = 0;
    switch (a) {
      case 1:
        val = !digitalRead(a1);
        etat_anneau[q][a] = val;
        break;

      case 2:
        val = !digitalRead(a2);
        etat_anneau[q][a] = val;
        break;

      case 3:
        val = !digitalRead(a3);
        etat_anneau[q][a] = val;
        break;

      case 4:
        val = !digitalRead(a4);
        etat_anneau[q][a] = val;
        break;

      case 5:
        val = !digitalRead(a5);
        etat_anneau[q][a] = val;
        break;
    }
  }
}

void Calcul_Point() {
  point = 0;
  int val_q = 0;
  int val_a = 0;
  nb_secteur_en_contact = 0;
  int valeur_enregiste = 0;
  for (int q = 1; q <= 4; q++) {
    for (int a = 1; a <= 5; a++) {
      valeur_enregiste = etat_anneau[q][a];
      if (valeur_enregiste == 1) {
        nb_secteur_en_contact++;
        switch (q) {
          case 1:
            dg = 'D';                 // position à droite ou à gauche par rapport au centre de la cible
            hb = 'H';
            break;
          case 2:
            dg = 'D';                 // position à droite ou à gauche par rapport au centre de la cible
            hb = 'B';
            break;
          case 3:
            dg = 'G';                 // position à droite ou à gauche par rapport au centre de la cible
            hb = 'B';
            break;
          case 4:
            dg = 'G';                 // position à droite ou à gauche par rapport au centre de la cible
            hb = 'H';
            break;
        }

        switch (a) {
          case 1:
            val_a = 1 * val_point;
            break;
          case 2:
            val_a = 2 * val_point;
            break;
          case 3:
            val_a = 3 * val_point;
            break;
          case 4:
            val_a = 4 * val_point;
            break;
          case 5:
            val_a = 5 * val_point;
            break;
        }
        point += val_a;
      }
      valeur_enregiste = 0;

      tft.setCursor((45 * q) + 12, 23 * a);
      tft.print(etat_anneau[q][a]);

    }
  }
  Serial.println(point);
  
  if (nb_secteur_en_contact > 0) {
    point = point / nb_secteur_en_contact ;
    Serial.println(valeur_enregiste);
    Serial.println(nb_secteur_en_contact);
    Serial.println(point);
  }
}

void Affiche_Cadre(bool etat) {
  if (etat) {
    tft.fillScreen(TFT_BLACK);
    tft.setTextColor(TFT_GREEN, TFT_BLACK);
    tft.setTextDatum(TL_DATUM);
    for (int q = 1; q <= 4; q++) {
      tft.setCursor(45 * q, 0);
      tft.print("Q");
      tft.print(q);
      for (int a = 1; a <= 5; a++) {
        tft.setCursor(0, 23 * a);
        tft.print("A");
        tft.print(a);
      }
    }
  }
  else {
    tft.fillScreen(TFT_BLACK);
    tft.setTextColor(TFT_GREEN, TFT_BLACK);
    tft.setCursor(20, 50);
    tft.println("Efface cadre");
    delay(500);
    tft.fillScreen(TFT_BLACK);
    tft.setTextColor(TFT_GREEN, TFT_BLACK);
  }
}

void Affiche_Donnees() {
  tft.setTextColor(TFT_WHITE, TFT_BLACK);
  for (int q = 1; q <= 4; q++) {
    for (int a = 1; a <= 5; a++) {
      tft.setCursor((45 * q) + 12, 23 * a);
      tft.print(etat_anneau[q][a]);
    }
  }
}
